PHTTPGET(8)

NAME
phttpget - retrieve multiple files via pipelined HTTP

SYNOPSIS
phttpget server file ...

DESCRIPTION
The phttpget utility is a minimalist pipelined HTTP client, which is used to retrieve multiple files from one server, and saves the downloaded files in the current working directory, using the last portion of their download path as file names.

By making several "in flight" HTTP requests, it can dramatically increase performance when a large number of small files need to be downloaded.

The freebsd-update(8) and portsnap(8) tools use phttpget to download binary patch files.

ENVIRONMENT

HTTP_PROXY
    URL of the proxy to use for HTTP requests.

HTTP_PROXY_AUTH
    Authorization parameters for the HTTP proxy.

HTTP_USER_AGENT
    The User-Agent string to use for HTTP requests. The default is “phttpget/0.1”.

HTTP_TIMEOUT
    Timeout for HTTP request in seconds.

SEE ALSO
fetch(1), freebsd-update(8), portsnap(8)

AUTHORS
-nosplit The phttpget utility was written by Colin Percival <cperciva@FreeBSD.org> for use with portsnap(8) and later with freebsd-update(8). This manual page was written by Xin LI <delphij@FreeBSD.org>.